# -*- coding: iso-8859-1 -*- ### ### This file is generated automatically by SALOME v6.5.0 with dump python functionality ### import sys import salome salome.salome_init() theStudy = salome.myStudy import salome_notebook notebook = salome_notebook.notebook sys.path.insert( 0, r'/home/linnemann/Downloads') ### ### GEOM component ### import GEOM import geompy import math import SALOMEDS geompy.init_geom(theStudy) Vertex_1 = geompy.MakeVertex(-1.125, 1.5, 0) Vertex_2 = geompy.MakeVertex(-1.125, 1.15, 0) Vertex_3 = geompy.MakeVertex(-1.1, 0.7, 0) Vertex_4 = geompy.MakeVertex(-1.05, 0.63781, 0) Vertex_5 = geompy.MakeVertex(-1, 0.578512, 0) Vertex_6 = geompy.MakeVertex(-0.95, 0.522107, 0) Vertex_7 = geompy.MakeVertex(-0.9, 0.468595, 0) Vertex_8 = geompy.MakeVertex(-0.85, 0.417975, 0) Vertex_9 = geompy.MakeVertex(-0.8, 0.370248, 0) Vertex_10 = geompy.MakeVertex(-0.75, 0.325413, 0) Vertex_11 = geompy.MakeVertex(-0.7, 0.283471, 0) Vertex_12 = geompy.MakeVertex(-0.65, 0.244421, 0) Vertex_13 = geompy.MakeVertex(-0.6, 0.208264, 0) Vertex_14 = geompy.MakeVertex(-0.55, 0.175, 0) Vertex_15 = geompy.MakeVertex(-0.5, 0.144628, 0) Vertex_16 = geompy.MakeVertex(-0.45, 0.117149, 0) Vertex_17 = geompy.MakeVertex(-0.4, 0.09256200000000001, 0) Vertex_18 = geompy.MakeVertex(-0.35, 0.070868, 0) Vertex_19 = geompy.MakeVertex(-0.3, 0.052066, 0) Vertex_20 = geompy.MakeVertex(-0.25, 0.036157, 0) Vertex_21 = geompy.MakeVertex(-0.2, 0.02314, 0) Vertex_22 = geompy.MakeVertex(-0.15, 0.013017, 0) Vertex_23 = geompy.MakeVertex(-0.1, 0.005785, 0) geomObj_1 = geompy.MakeVertex(-0.05, 0.001446, 0) geomObj_2 = geompy.MakeVertex(0, 0, 0) geomObj_3 = geompy.MakeVertex(0.05, 0.001446, 0) Vertex_27 = geompy.MakeVertex(0.1, 0.005785, 0) Vertex_28 = geompy.MakeVertex(0.15, 0.013017, 0) Vertex_29 = geompy.MakeVertex(0.2, 0.02314, 0) Vertex_30 = geompy.MakeVertex(0.25, 0.036157, 0) Vertex_31 = geompy.MakeVertex(0.3, 0.052066, 0) Vertex_32 = geompy.MakeVertex(0.35, 0.070868, 0) Vertex_33 = geompy.MakeVertex(0.4, 0.09256200000000001, 0) Vertex_34 = geompy.MakeVertex(0.45, 0.117149, 0) Vertex_35 = geompy.MakeVertex(0.5, 0.144628, 0) Vertex_36 = geompy.MakeVertex(0.55, 0.175, 0) Vertex_37 = geompy.MakeVertex(0.6, 0.208264, 0) Vertex_38 = geompy.MakeVertex(0.65, 0.244421, 0) Vertex_39 = geompy.MakeVertex(0.7, 0.283471, 0) Vertex_40 = geompy.MakeVertex(0.75, 0.325413, 0) Vertex_41 = geompy.MakeVertex(0.8, 0.370248, 0) Vertex_42 = geompy.MakeVertex(0.85, 0.417975, 0) Vertex_43 = geompy.MakeVertex(0.9, 0.468595, 0) Vertex_44 = geompy.MakeVertex(0.95, 0.522107, 0) Vertex_45 = geompy.MakeVertex(1, 0.578512, 0) Vertex_46 = geompy.MakeVertex(1.05, 0.63781, 0) Vertex_47 = geompy.MakeVertex(1.1, 0.7, 0) Vertex_48 = geompy.MakeVertex(1.125, 1.15, 0) Vertex_49 = geompy.MakeVertex(1.125, 1.5, 0) Line_1 = geompy.MakeLineTwoPnt(Vertex_1, Vertex_2) Line_2 = geompy.MakeLineTwoPnt(Vertex_2, Vertex_3) geomObj_4 = geompy.MakeLineTwoPnt(Vertex_3, Vertex_4) geomObj_5 = geompy.MakeLineTwoPnt(Vertex_4, Vertex_5) geomObj_6 = geompy.MakeLineTwoPnt(Vertex_5, Vertex_6) geomObj_7 = geompy.MakeLineTwoPnt(Vertex_6, Vertex_7) geomObj_8 = geompy.MakeLineTwoPnt(Vertex_7, Vertex_8) geomObj_9 = geompy.MakeLineTwoPnt(Vertex_8, Vertex_9) geomObj_10 = geompy.MakeLineTwoPnt(Vertex_9, Vertex_10) geomObj_11 = geompy.MakeLineTwoPnt(Vertex_10, Vertex_11) geomObj_12 = geompy.MakeLineTwoPnt(Vertex_11, Vertex_12) geomObj_13 = geompy.MakeLineTwoPnt(Vertex_12, Vertex_13) geomObj_14 = geompy.MakeLineTwoPnt(Vertex_13, Vertex_14) geomObj_15 = geompy.MakeLineTwoPnt(Vertex_14, Vertex_15) geomObj_16 = geompy.MakeLineTwoPnt(Vertex_15, Vertex_16) geomObj_17 = geompy.MakeLineTwoPnt(Vertex_16, Vertex_17) geomObj_18 = geompy.MakeLineTwoPnt(Vertex_17, Vertex_18) geomObj_19 = geompy.MakeLineTwoPnt(Vertex_18, Vertex_19) geomObj_20 = geompy.MakeLineTwoPnt(Vertex_19, Vertex_20) geomObj_21 = geompy.MakeLineTwoPnt(Vertex_20, Vertex_21) geomObj_22 = geompy.MakeLineTwoPnt(Vertex_21, Vertex_22) geomObj_23 = geompy.MakeLineTwoPnt(Vertex_22, Vertex_23) geomObj_24 = geompy.MakeLineTwoPnt(Vertex_23, geomObj_1) geomObj_25 = geompy.MakeLineTwoPnt(geomObj_1, geomObj_2) geomObj_26 = geompy.MakeLineTwoPnt(geomObj_2, geomObj_3) geomObj_27 = geompy.MakeLineTwoPnt(geomObj_3, Vertex_27) geomObj_28 = geompy.MakeLineTwoPnt(Vertex_27, Vertex_28) geomObj_29 = geompy.MakeLineTwoPnt(Vertex_28, Vertex_29) geomObj_30 = geompy.MakeLineTwoPnt(Vertex_29, Vertex_30) geomObj_31 = geompy.MakeLineTwoPnt(Vertex_30, Vertex_31) geomObj_32 = geompy.MakeLineTwoPnt(Vertex_31, Vertex_32) geomObj_33 = geompy.MakeLineTwoPnt(Vertex_32, Vertex_33) geomObj_34 = geompy.MakeLineTwoPnt(Vertex_33, Vertex_34) geomObj_35 = geompy.MakeLineTwoPnt(Vertex_34, Vertex_35) geomObj_36 = geompy.MakeLineTwoPnt(Vertex_35, Vertex_36) geomObj_37 = geompy.MakeLineTwoPnt(Vertex_36, Vertex_37) geomObj_38 = geompy.MakeLineTwoPnt(Vertex_37, Vertex_38) geomObj_39 = geompy.MakeLineTwoPnt(Vertex_38, Vertex_39) geomObj_40 = geompy.MakeLineTwoPnt(Vertex_39, Vertex_40) geomObj_41 = geompy.MakeLineTwoPnt(Vertex_40, Vertex_41) geomObj_42 = geompy.MakeLineTwoPnt(Vertex_41, Vertex_42) geomObj_43 = geompy.MakeLineTwoPnt(Vertex_42, Vertex_43) geomObj_44 = geompy.MakeLineTwoPnt(Vertex_43, Vertex_44) geomObj_45 = geompy.MakeLineTwoPnt(Vertex_44, Vertex_45) geomObj_46 = geompy.MakeLineTwoPnt(Vertex_45, Vertex_46) geomObj_47 = geompy.MakeLineTwoPnt(Vertex_46, Vertex_47) Line_47 = geompy.MakeLineTwoPnt(Vertex_47, Vertex_48) Line_48 = geompy.MakeLineTwoPnt(Vertex_48, Vertex_49) Line_49 = geompy.MakeLineTwoPnt(Vertex_1, Vertex_49) geomObj_48 = geompy.MakeVertex(-0.05, 0.025, 0) geomObj_49 = geompy.MakeVertex(0.05, 0.025, 0) geomObj_50 = geompy.MakeLineTwoPnt(Vertex_23, geomObj_48) geomObj_51 = geompy.MakeLineTwoPnt(geomObj_48, geomObj_49) geomObj_52 = geompy.MakeLineTwoPnt(geomObj_49, Vertex_27) Vertex_24 = geompy.MakeVertex(0.05, 0.0014, 0) Vertex_25 = geompy.MakeVertex(-0.05, 0.0014, 0) Vertex_26 = geompy.MakeVertex(0, 0, 0) geomObj_53 = geompy.MakeLineTwoPnt(Vertex_23, Vertex_25) geomObj_54 = geompy.MakeLineTwoPnt(Vertex_25, Vertex_26) geomObj_55 = geompy.MakeLineTwoPnt(Vertex_26, Vertex_24) geomObj_56 = geompy.MakeLineTwoPnt(Vertex_24, Vertex_27) Curve_1 = geompy.MakeInterpol([Vertex_3, Vertex_4, Vertex_5, Vertex_6, Vertex_7, Vertex_8, Vertex_9, Vertex_10, Vertex_11, Vertex_12, Vertex_13, Vertex_14, Vertex_15, Vertex_16, Vertex_17, Vertex_18, Vertex_19, Vertex_20, Vertex_21, Vertex_22, Vertex_23, Vertex_27, Vertex_28, Vertex_29, Vertex_30, Vertex_31, Vertex_32, Vertex_33, Vertex_34, Vertex_35, Vertex_36, Vertex_37, Vertex_38, Vertex_39, Vertex_40, Vertex_41, Vertex_42, Vertex_43, Vertex_44, Vertex_45, Vertex_46, Vertex_47], False, False) geomObj_57 = geompy.MakeFaceWires([Line_1, Line_2, geomObj_4, geomObj_5, geomObj_6, geomObj_7, geomObj_8, geomObj_9, geomObj_10, geomObj_11, geomObj_12, geomObj_13, geomObj_14, geomObj_15, geomObj_16, geomObj_17, geomObj_18, geomObj_19, geomObj_20, geomObj_21, geomObj_22, geomObj_23, geomObj_28, geomObj_29, geomObj_30, geomObj_31, geomObj_32, geomObj_33, geomObj_34, geomObj_35, geomObj_36, geomObj_37, geomObj_38, geomObj_39, geomObj_40, geomObj_41, geomObj_42, geomObj_43, geomObj_44, geomObj_45, geomObj_46, geomObj_47, Line_47, Line_48, Line_49, geomObj_53, geomObj_54, geomObj_55, geomObj_56], 1) geomObj_58 = geompy.MakePrismDXDYDZ(geomObj_57, 0, 0, 0.15) Line_2_vertex_2 = geompy.GetSubShape(Line_2, [2]) Line_47_vertex_3 = geompy.GetSubShape(Line_47, [3]) Line_3 = geompy.MakeLineTwoPnt(Line_2_vertex_2, Line_47_vertex_3) Face_1 = geompy.MakeFaceWires([Line_1, Line_48, Line_49, Line_3], 1) Face_2 = geompy.MakeFaceWires([Line_2, Line_47, Curve_1, Line_3], 1) Shell_1 = geompy.MakeShell([Face_1, Face_2]) LocalCS_1 = geompy.MakeMarker(0, 0, 0, 0, 0, 1, 1, 0, 0) geomObj_59 = geompy.MakeMarker(0, 0, 0, 1, 0, 0, 0, 1, 0) geomObj_60 = geompy.MakeMarker(0, 0, 0, 1, 0, 0, 0, 1, 0) geomObj_61 = geompy.MakeMarker(0, 0, 0, 1, 0, 0, 0, 1, 0) geomObj_62 = geompy.MakeMarker(0, 0, 0, 1, 0, 0, 0, 1, 0) geomObj_63 = geompy.MakeMarker(0, 0, 0, 1, 0, 0, 0, 1, 0) Sketch_1 = geompy.MakeSketcherOnPlane("Sketcher:F 0.000000 0.000000:TT 2.000000 0.000000:C 4.000000 45.000000:C -4.000000 45.000000:L 4.000000", LocalCS_1 ) Pipe_1 = geompy.MakePipe(Shell_1, Sketch_1) Inlet = geompy.CreateGroup(Pipe_1, geompy.ShapeType["FACE"]) geompy.UnionIDs(Inlet, [4, 98]) outlet = geompy.CreateGroup(Pipe_1, geompy.ShapeType["FACE"]) geompy.UnionIDs(outlet, [157, 94]) walls = geompy.CreateGroup(Pipe_1, geompy.ShapeType["FACE"]) geompy.UnionIDs(walls, [105, 110, 115, 120, 125, 130, 135, 14, 140, 145, 148, 151, 154, 21, 28, 35, 62, 67, 72, 77, 82, 85, 88, 91]) Symmetry = geompy.CreateGroup(Pipe_1, geompy.ShapeType["FACE"]) geompy.UnionIDs(Symmetry, [42, 47, 52, 57]) geompy.addToStudy( Vertex_1, 'Vertex_1' ) geompy.addToStudy( Vertex_2, 'Vertex_2' ) geompy.addToStudy( Vertex_3, 'Vertex_3' ) geompy.addToStudy( Vertex_4, 'Vertex_4' ) geompy.addToStudy( Vertex_5, 'Vertex_5' ) geompy.addToStudy( Vertex_6, 'Vertex_6' ) geompy.addToStudy( Vertex_7, 'Vertex_7' ) geompy.addToStudy( Vertex_8, 'Vertex_8' ) geompy.addToStudy( Vertex_9, 'Vertex_9' ) geompy.addToStudy( Vertex_10, 'Vertex_10' ) geompy.addToStudy( Vertex_11, 'Vertex_11' ) geompy.addToStudy( Vertex_12, 'Vertex_12' ) geompy.addToStudy( Vertex_13, 'Vertex_13' ) geompy.addToStudy( Vertex_14, 'Vertex_14' ) geompy.addToStudy( Vertex_15, 'Vertex_15' ) geompy.addToStudy( Vertex_16, 'Vertex_16' ) geompy.addToStudy( Vertex_17, 'Vertex_17' ) geompy.addToStudy( Vertex_18, 'Vertex_18' ) geompy.addToStudy( Vertex_19, 'Vertex_19' ) geompy.addToStudy( Vertex_20, 'Vertex_20' ) geompy.addToStudy( Vertex_21, 'Vertex_21' ) geompy.addToStudy( Vertex_22, 'Vertex_22' ) geompy.addToStudy( Vertex_23, 'Vertex_23' ) geompy.addToStudy( Vertex_27, 'Vertex_27' ) geompy.addToStudy( Vertex_28, 'Vertex_28' ) geompy.addToStudy( Vertex_29, 'Vertex_29' ) geompy.addToStudy( Vertex_30, 'Vertex_30' ) geompy.addToStudy( Vertex_31, 'Vertex_31' ) geompy.addToStudy( Vertex_32, 'Vertex_32' ) geompy.addToStudy( Vertex_33, 'Vertex_33' ) geompy.addToStudy( Vertex_34, 'Vertex_34' ) geompy.addToStudy( Vertex_35, 'Vertex_35' ) geompy.addToStudy( Vertex_36, 'Vertex_36' ) geompy.addToStudy( Vertex_37, 'Vertex_37' ) geompy.addToStudy( Vertex_38, 'Vertex_38' ) geompy.addToStudy( Vertex_39, 'Vertex_39' ) geompy.addToStudy( Vertex_40, 'Vertex_40' ) geompy.addToStudy( Vertex_41, 'Vertex_41' ) geompy.addToStudy( Vertex_42, 'Vertex_42' ) geompy.addToStudy( Vertex_43, 'Vertex_43' ) geompy.addToStudy( Vertex_44, 'Vertex_44' ) geompy.addToStudy( Vertex_45, 'Vertex_45' ) geompy.addToStudy( Vertex_46, 'Vertex_46' ) geompy.addToStudy( Vertex_47, 'Vertex_47' ) geompy.addToStudy( Vertex_48, 'Vertex_48' ) geompy.addToStudy( Vertex_49, 'Vertex_49' ) geompy.addToStudy( Line_1, 'Line_1' ) geompy.addToStudy( Line_2, 'Line_2' ) geompy.addToStudy( Line_47, 'Line_47' ) geompy.addToStudy( Line_48, 'Line_48' ) geompy.addToStudy( Line_49, 'Line_49' ) geompy.addToStudy( Vertex_24, 'Vertex_24' ) geompy.addToStudy( Vertex_25, 'Vertex_25' ) geompy.addToStudy( Vertex_26, 'Vertex_26' ) geompy.addToStudy( Curve_1, 'Curve_1' ) geompy.addToStudyInFather( Line_2, Line_2_vertex_2, 'Line_2:vertex_2' ) geompy.addToStudyInFather( Line_47, Line_47_vertex_3, 'Line_47:vertex_3' ) geompy.addToStudy( Line_3, 'Line_3' ) geompy.addToStudy( Face_1, 'Face_1' ) geompy.addToStudy( Face_2, 'Face_2' ) geompy.addToStudy( Shell_1, 'Shell_1' ) geompy.addToStudy( LocalCS_1, 'LocalCS_1' ) geompy.addToStudy( Sketch_1, 'Sketch_1' ) geompy.addToStudy( Pipe_1, 'Pipe_1' ) geompy.addToStudyInFather( Pipe_1, Inlet, 'Inlet' ) geompy.addToStudyInFather( Pipe_1, outlet, 'outlet' ) geompy.addToStudyInFather( Pipe_1, walls, 'walls' ) geompy.addToStudyInFather( Pipe_1, Symmetry, 'Symmetry' ) ### ### SMESH component ### import smesh, SMESH, SALOMEDS smesh.SetCurrentStudy(theStudy) import StdMeshers Mesh_1 = smesh.Mesh(Pipe_1) Regular_1D = Mesh_1.Segment() Nb_Segments_1 = Regular_1D.NumberOfSegments(20) Nb_Segments_1.SetDistrType( 0 ) Quadrangle_2D = Mesh_1.Quadrangle(algo=smesh.QUADRANGLE) Hexa_3D = Mesh_1.Hexahedron(algo=smesh.Hexa) isDone = Mesh_1.Compute() ## set object names smesh.SetName(Mesh_1.GetMesh(), 'Mesh_1') smesh.SetName(Regular_1D.GetAlgorithm(), 'Regular_1D') smesh.SetName(Nb_Segments_1, 'Nb. Segments_1') smesh.SetName(Quadrangle_2D.GetAlgorithm(), 'Quadrangle_2D') smesh.SetName(Hexa_3D.GetAlgorithm(), 'Hexa_3D') if salome.sg.hasDesktop(): salome.sg.updateObjBrowser(1)